View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012652ParaView(No Category)public2011-10-13 11:292011-11-28 13:23
ReporterAndy Bauer 
Assigned ToAndy Bauer 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target Version3.12Fixed in Version3.12 
Summary0012652: coprocessing writers menu is not enabled after creating a filter and hitting the Apply button
DescriptionWhen a filter is created the Writers menu for coprocessing is disabled as it should be (similarly to other filters). When the Apply button is hit though the Writers menu should be enabled but it isn't (it is for the applicable filters). Steps to reproduce:
1. Load the coprocessing script generator plugin
2. Create a source -- note that the Writers menu is now disabled. It does get enabled though if the active source is changed.

This fix will also include changes such that plugin writers can be used and made available in the Writers menu. They will need to have a CoProcessing hint in their XML -- see the servermanager.xml file in the <ParaView>/Plugins/CoProcessingScriptGenerator/Resources/servermanager.xml
TagsNo tags attached.
ProjectTBD
Topic Name12652-coprocessing-writers-fix
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0027570)
Andy Bauer (developer)
2011-10-13 13:06

Hoping that this makes it into 3.12
(0027579)
Utkarsh Ayachit (administrator)
2011-10-14 16:00

Andy reported he's still working on this one. Reopening.
(0027602)
David Partyka (developer)
2011-10-24 11:39

Merged into master 10/20/2011
(0027737)
Andy Bauer (developer)
2011-11-28 13:23

I tested it on my linux machine and it seems to be working as desired.

- Issue History
Date Modified Username Field Change
2011-10-13 11:29 Andy Bauer New Issue
2011-10-13 11:29 Andy Bauer Assigned To => Andy Bauer
2011-10-13 11:45 Andy Bauer Status backlog => todo
2011-10-13 11:45 Andy Bauer Status todo => active development
2011-10-13 13:05 Andy Bauer Target Version => 3.12
2011-10-13 13:06 Andy Bauer Topic Name => 12652-coprocessing-writers-fix
2011-10-13 13:06 Andy Bauer Note Added: 0027570
2011-10-13 13:06 Andy Bauer Status active development => gatekeeper review
2011-10-13 13:06 Andy Bauer Fixed in Version => git-next
2011-10-13 13:06 Andy Bauer Resolution open => fixed
2011-10-14 16:00 Utkarsh Ayachit Note Added: 0027579
2011-10-14 16:00 Utkarsh Ayachit Status gatekeeper review => todo
2011-10-24 11:37 David Partyka Status todo => active development
2011-10-24 11:38 David Partyka Status active development => gatekeeper review
2011-10-24 11:39 David Partyka Note Added: 0027602
2011-10-24 11:39 David Partyka Status gatekeeper review => customer review
2011-11-11 17:08 Utkarsh Ayachit Fixed in Version git-next => 3.12
2011-11-28 13:23 Andy Bauer Note Added: 0027737
2011-11-28 13:23 Andy Bauer Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker